curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/pay_stubs/{pay_stub} \
--header 'Authorization: Bearer <token>'{
"id": "<id>",
"object": "pay_stub",
"data": {
"payroll": {
"id": "<id>",
"object": "payroll",
"links": {
"self": "/payrolls/<id>"
}
},
"work_assignment": {
"id": "<id>",
"object": "work_assignment",
"links": {
"self": "/work_assignments/<id>"
}
},
"payment_method": "direct_deposit",
"has_taxes_calculated": true,
"is_pending_tax_rates": false,
"employee_summary": {
"gross": 0,
"subtractions": 0,
"reimbursements": 0,
"net": 0,
"gross_ytd": 0,
"subtractions_ytd": 0,
"reimbursements_ytd": 0,
"net_ytd": 0
},
"contractor_summary": {
"gross": null,
"reimbursements": null,
"net": null,
"gross_ytd": 0,
"reimbursements_ytd": 0,
"net_ytd": 0
},
"company_summary": {
"taxes_and_contributions": 0,
"benefits": 0,
"total": 0,
"taxes_and_contributions_ytd": 0,
"benefits_ytd": 0,
"total_ytd": 0
},
"vacation_pay_balance": 0,
"liability": 0,
"cash_requirement": 0,
"note": "A PayStub Note",
"line_item_summary": {
"earnings": {
"period": 0,
"period_managed": 0,
"period_unmanaged": 0,
"ytd": 0
},
"statutory_withholdings": {
"period": 0,
"ytd": 0
},
"reimbursements": {
"period": 0,
"ytd": 0
},
"allowances": {
"period": 0,
"ytd": 0
},
"benefits": {
"period": 0,
"ytd": 0
},
"employee_benefits": {
"period": 0,
"ytd": 0
},
"employer_benefits": {
"period": 0,
"ytd": 0
},
"deductions": {
"period": 0,
"ytd": 0
}
},
"is_stale": false,
"stale_since": null,
"warnings": {
"object": "list",
"data": []
},
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/pay_stubs/<id>"
}
}Retrieve a pay stub
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/pay_stubs/{pay_stub} \
--header 'Authorization: Bearer <token>'{
"id": "<id>",
"object": "pay_stub",
"data": {
"payroll": {
"id": "<id>",
"object": "payroll",
"links": {
"self": "/payrolls/<id>"
}
},
"work_assignment": {
"id": "<id>",
"object": "work_assignment",
"links": {
"self": "/work_assignments/<id>"
}
},
"payment_method": "direct_deposit",
"has_taxes_calculated": true,
"is_pending_tax_rates": false,
"employee_summary": {
"gross": 0,
"subtractions": 0,
"reimbursements": 0,
"net": 0,
"gross_ytd": 0,
"subtractions_ytd": 0,
"reimbursements_ytd": 0,
"net_ytd": 0
},
"contractor_summary": {
"gross": null,
"reimbursements": null,
"net": null,
"gross_ytd": 0,
"reimbursements_ytd": 0,
"net_ytd": 0
},
"company_summary": {
"taxes_and_contributions": 0,
"benefits": 0,
"total": 0,
"taxes_and_contributions_ytd": 0,
"benefits_ytd": 0,
"total_ytd": 0
},
"vacation_pay_balance": 0,
"liability": 0,
"cash_requirement": 0,
"note": "A PayStub Note",
"line_item_summary": {
"earnings": {
"period": 0,
"period_managed": 0,
"period_unmanaged": 0,
"ytd": 0
},
"statutory_withholdings": {
"period": 0,
"ytd": 0
},
"reimbursements": {
"period": 0,
"ytd": 0
},
"allowances": {
"period": 0,
"ytd": 0
},
"benefits": {
"period": 0,
"ytd": 0
},
"employee_benefits": {
"period": 0,
"ytd": 0
},
"employer_benefits": {
"period": 0,
"ytd": 0
},
"deductions": {
"period": 0,
"ytd": 0
}
},
"is_stale": false,
"stale_since": null,
"warnings": {
"object": "list",
"data": []
},
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/pay_stubs/<id>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
allowance_line_items, deduction_line_items, earning_line_items, employee_benefit_line_items, employer_benefit_line_items, employer_statutory_withholding_line_items, payroll, reimbursement_line_items, statutory_withholding_line_items, work_assignment Response
OK
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("pay_stub").
- Default
- With payroll expanded
- With work_assignment expanded
- With earning_line_items expanded
- With statutory_withholding_line_items expanded
- With employer_statutory_withholding_line_items expanded
- With allowance_line_items expanded
- With reimbursement_line_items expanded
- With employee_benefit_line_items expanded
- With employer_benefit_line_items expanded
- With deduction_line_items expanded
Hide child attributes
Hide child attributes
The payment method for this pay stub.
direct_deposit, manual, pad, wire Whether tax amounts have been calculated for this pay stub. When false, amounts in the employee_summary and company_summary may be incomplete.
This attribute is deprecated and will be removed.
A summary of pay for the Employee associated with this pay stub. *_ytd fields contain year-to-date totals inclusive of this pay period.
Hide child attributes
Hide child attributes
The sum of all earnings and allowances.
The total of all deductions, taxes, and benefit contributions.
The total of non-taxable reimbursements.
The Employee net pay; when negative, a warning is included.
A summary of pay for the Contractor associated with this pay stub. *_ytd fields contain year-to-date totals inclusive of this pay period.
Hide child attributes
Hide child attributes
The sum of all earnings.
The total of non-taxable reimbursements.
The Contractor net pay.
A summary of the company's obligations for this pay stub. *_ytd fields contain year-to-date totals inclusive of this pay period.
Hide child attributes
Hide child attributes
The employer share of statutory remittances (CPP and EI).
The total of employer benefit contributions.
The company's total obligations.
The Employee's Vacation Pay balance as of the end of this pay period. null for Contractor pay stubs.
The total amount owed by the company for this pay stub, including Employee or Contractor net pay, employer tax contributions, and employer benefit contributions.
The total amount that will be debited from the company's account for this pay stub when the Payroll is approved.
An optional note on the pay stub, visible to the partner.
Totals grouped by line item category for this pay stub. Each category includes a period total for the current pay period and a ytd total for the calendar year to date. Categories: earnings, statutory_withholdings, reimbursements, allowances, employee_benefits, employer_benefits, deductions.
Hide child attributes
Hide child attributes
Whether the pay stub's tax calculations are out of date. When true, stale_since indicates when the pay stub became stale.
The timestamp at which the pay stub's tax calculations became stale and need to be recalculated. null if the pay stub is up to date.
A reference to the object in an external system, e.g. the primary key of the object in your application's database. Nmbr doesn't use, validate, parse, or require this value to be unique - it simply stores it for your reference.
255The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.

